### Method

# GLib Queue remove_all

since: 2.4

#### Declaration

    guint
    g_queue_remove_all (
      GQueue* queue,
      gconstpointer data
    )

#### Description

Remove all elements whose data equals `data` from `queue`.

Available since: 2.4

#### Parameters

`data`

  Type: `gconstpointer`

  The data to remove.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `guint`

The number of elements removed from `queue`.